#include <QApplication>
#include <QtGui>

#include "mainwindow.h"

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    QTextEdit edit;

    QString content;

    for (int i = 0; i < 100; i++)
        content += QChar(0x905);

    edit.setHtml(content);

    QTextCursor tc = edit.textCursor();
    tc.document()->setDefaultFont(QFont("Arial", 14));

    QTextCharFormat tcf = tc.charFormat();
    tc.select(QTextCursor::Document);

    tcf.setFontItalic(true);
    tcf.setFontWeight(QFont::Bold);

    tc.mergeCharFormat(tcf);

    edit.show();



    QTextDocumentWriter tdw;
    tdw.setFormat("odf");
    tdw.setFileName("c:/invalid_file.odt");
    bool saved = tdw.write(edit.document());

    
    return a.exec();
}





